Subject: bug#15848: 24.3.50; cperl-mode + which-function: Improve reporting (corner case)

From: Nathan Trapuzzano <[email-masked]>
Date: Mon, 11 Nov 2013 05:58:39 -0500

Stefan Monnier <[email-masked]> writes:

> I find cperl-mode's code completely impenetrable and riddled with
> irrelevant version checks.  And I don't like its behavior very much.

Changing some of the defaults helped me warm up to cperl-mode.  By
default, it tries to do way too much, especially with regard to
font-lock.  That said, the regex beutifying is quite impressive.